| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_TUPLE_REMOVE

BOOST_VMD_TUPLE_REMOVE — removes an element from a tuple.

## Synopsis

    // In header: <boost/vmd/tuple/remove.hpp>

    BOOST_VMD_TUPLE_REMOVE(tuple, index)

## Description

tuple = tuple from which an element is to be removed.
index = The zero-based position in tuple of the element to be removed.

If index is greater or equal to the tuple size the result is undefined. If the tuple is a single element and the index is 0 the result is an empty tuple. Otherwise the result is a tuple after removing the index element.